%define name    HTML-Mason
%define version 1.26
%define release 2mdk

%define mod_conf 76_HTML-Mason.conf

#New ADVX macros
%define ADVXdir %{_datadir}/ADVX
%{expand:%(cat %{ADVXdir}/ADVX-build)}
%{expand:%%global ap_version %(%{apxs} -q ap_version)}

Summary:	Powerful Perl-based web site development and delivery engine.
Name:           perl-%{name}
Version:        %{version}
Release:        %{release}
Source0:	http://masonhq.com/code/download/HTML-Mason-%{version}.tar.bz2 
Source1:	%{mod_conf}.bz2
Patch0:		HTML-Mason-1.03-skip_question.patch.bz2
License:	GPL
Group:		System/Configuration/Networking
URL:		http://masonhq.com/
Requires:	apache2-mod_perl
Requires:	perl-libapreq2
BuildRequires:	apache2-mod_perl
BuildRequires:	apache2-mod_perl-devel
BuildRequires:	perl-Cache-Cache
BuildRequires:	perl-Class-Container
BuildRequires:	perl-Exception-Class
BuildRequires:	perl-MLDBM
BuildRequires:	perl-Params-Validate
BuildRequires:	perl-devel
BuildRequires:	perl-libapreq
Buildarch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

%description
Mason allows web pages and sites to be constructed from
shared, reusable building blocks called components. Components contain
a mix of Perl and HTML, and can call each other and pass values back
and forth like subroutines. Components increase modularity and
eliminate repetitive work: common design elements (headers, footers,
menus, logos) can be extracted into their own components where they
need be changed only once to affect the whole site.
Other Mason features include a graphical site previewing utility, an
HTML/data caching model, and the ability to walk through requests with
the Perl debugger.

%prep

%setup -q -n HTML-Mason-%{version}

%patch0 -p1

%build
export APACHE=%{_sbindir}/httpd2

# (oe) currently it only finds libapreq v1.x while building, but at runtime
# it manages to find Apache::Request from perl-libapreq2. 

%{__perl} Makefile.PL INSTALLDIRS=vendor PREFIX=%{_prefix} --defaultdeps
%{__make}

make test

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%{__make} PREFIX=%{buildroot}/%{_prefix} install

%ADVXinstconf %{SOURCE1} %{mod_conf}

%post
%ADVXpost

%postun
%ADVXpost

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README CREDITS UPGRADE eg htdocs samples
%config(noreplace) %{ap_confd}/%{mod_conf}
%{perl_vendorlib}/Apache/*
%{perl_vendorlib}/Bundle/*
%{perl_vendorlib}/HTML/*
%{_mandir}/man3/*

%changelog
* Sun Aug 29 2004 Oden Eriksson <oden.eriksson@kvikkjokk.net> 1.26-2mdk
- fix deps

* Wed Aug 25 2004 Oden Eriksson <oden.eriksson@kvikkjokk.net> 1.26-1mdk
- 1.26
- fixed S1

* Wed Mar 12 2003 Lenny Cartier <lenny@mandrakesoft.com> 1.03-4mdk
- fix requires & build

* Tue Sep 04 2001 Florin <florin@mandrakesoft.com> 1.03-3mdk
- add requires on perl-CGI and mod_perl
- update the /etc/httpd/conf/httpd-perl.conf
- restart the apache server in post, postun

* Thu Aug 30 2001 Florin <florin@mandrakesoft.com> 1.03-2mdk
- skip the user questions
- remove the perllocal.pod file as it conflicts with 5 pckgs

* Mon Jul 23 2001 Stefan van der Eijk <stefan@eijk.nu> 1.03-1mdk
- 1.03
- BuildRequires:	perl-devel perl-Params-Validate
- Copyright --> License

* Wed May 02 2001 Stefan van der Eijk <stefan@eijk.nu> 1.02-1mdk
- 1.02

* Wed May 02 2001 Stefan van der Eijk <stefan@eijk.nu> 0.895-2mdk
- perl 5.6.1

* Thu Dec 14 2000  Florin Grad <florin@mandrakesoft.com> 0.895-1mdk
- 0.895

* Fri Oct 13 2000  Florin Grad <florin@mandrakesoft.com> 0.89-3mdk
- change location according to apache-mod_perl
- added the samples section

* Thu Oct 12 2000  Florin Grad <florin@mandrakesoft.com> 0.89-2mdk
- remove some silly requirements (typo :)

* Tue Oct 11 2000  Florin Grad <florin@mandrakesoft.com> 0.89-1mdk
- first attempt
